Package com.sun.mirror.declaration

# Interface ConstructorDeclaration

All Superinterfaces:
  `Declaration`, `ExecutableDeclaration`, `MemberDeclaration`

public interface ConstructorDeclaration extends ExecutableDeclaration
Represents a constructor of a class or interface.

Since:
  1.5

## Method Summary

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface com.sun.mirror.declaration.ExecutableDeclaration

`getFormalTypeParameters, getParameters, getThrownTypes, isVarArgs`

### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

`getDeclaringType`